- Qt 6.10
- Qt PDF
- QML Types
- PdfBookmarkModel
- Qt 6.10.1 Reference Documentation

# PdfBookmarkModel QML Type

A tree of links (anchors) within a PDF document, such as the table of contents. More...

Import Statement: | `import QtQuick.Pdf`
Since: | Qt 6.4

- List of all members, including inherited members

## Properties

- document : PdfDocument

## Detailed Description

A PDF document can contain a hierarchy of link destinations, usually representing the table of contents, to be shown in a sidebar in a PDF viewer, so that the user can quickly jump to those locations in the document. This QAbstractItemModel holds the information in a form suitable for display with TreeView, ListView, QTreeView or QListView.

## Property Documentation

document : PdfDocument

This property holds the PDF document in which bookmarks are to be found.